var tabla;

//funcion que se ejecuta al inicio
function init(){
	mostrarform(false);
	buscarEmpresa();
	listar();
	

	$("#btnGuardar").on("click",function(e){
		/* Evitamos el envío real del formulario */
		e.preventDefault(); 
		validar();
		verificarart18();
		var val 	= $("#validado").val();
		
		//console.log(val);
		if (val==1){
			//console.log('preciol: '+$("#preciolbs1").val()+' precior: '+$("#preciorbs1").val()+' precio d:'+$("#preciodbs1").val());  
			bootbox.confirm("¿Esta seguro que quiere guardar los dato?", function(result){
				if (result) {
					alfanumerico();
					guardaryeditar(e);	
				}
			})
		}
	});

	//cargamos los items al Select categoria
	 $.post("controladores/articuloControlador.php?op=selectCategoriasastreria", function(r){
		$("#idcategoria").html(r);
		$("#idcategoria").selectpicker('refresh');
	});/* */
	//cargamos los items al Select de almacen
	/* $.post("controladores/articuloControlador.php?op=selectAlmacen", function(r){
		$("#idalmacen").html(r);
		$("#idalmacen").selectpicker('refresh');
	}); */
	//cargamos los items al Categoria de Unidades
	/* $.post("controladores/articuloControlador.php?op=selectCategoriadeunidades", function(r){
		$("#idcategoriadeunidades").html(r);
		$("#idcategoriadeunidades").selectpicker('refresh');
	}); */ 
	//cargamos los items al Select de Unidad de medidad
	/* $.post("controladores/articuloControlador.php?op=selectUnidademedidad", function(r){
		$("#idunidademedidad").html(r);
		$("#idunidademedidad").selectpicker('refresh');
	}); */
	//cargamos los items al Select de Factor de Unidad
	/* $.post("controladores/articuloControlador.php?op=selectfactorunidademedidad", function(r){
		$("#idfactorunidademedidad").html(r);
		$("#idfactorunidademedidad").selectpicker('refresh');
	}); */
	//cargamos los items al Select de tipo de articulo
	/* $.post("controladores/articuloControlador.php?op=selecttipoarticulo", function(r){
		$("#idtipoarticulo").html(r);
		$("#idtipoarticulo").selectpicker('refresh');
	}); */

 /*  //cargamos los items al Select de tipo de materiales
	$.post("controladores/materialControlador.php?op=selectmaterial", function(r){
		$("#idmaterial").html(r);
		$("#idmaterial").selectpicker('refresh');
	}); */

	//cargamos los items al Select Clasificacion de articulo
	/* $.post("controladores/articuloControlador.php?op=selectmarcacamiseria", function(r){
		$("#idmarca").html(r);
		$("#idmarca").selectpicker('refresh'); 
	}); */

	//cargamos las alicuotas de los articulos
	/* $.post("controladores/articuloControlador.php?op=selectalicuota", function(r){
		$("#idalicuota").html(r);
		$("#idalicuota").selectpicker('refresh');
	}); */

	//cargamos las alicuotas de los articulos
	/* $.post("controladores/articuloControlador.php?op=selectapaisdeorigen", function(r){
		$("#idpaisdeorigen").html(r);
		$("#idpaisdeorigen").selectpicker('refresh');
	}); */

	//cargamos las categorias de los articulos
	 $.post("controladores/articuloControlador.php?op=selectacategoriaprecio", function(r){
		$("#categoriaprecio").html(r);
		$("#categoriaprecio").selectpicker('refresh');
	}); /**/

	//Buscamos el pais de origen para cambiar el tipo de articulo Nacional o Importado
	/* var select = document.getElementById('idpaisdeorigen');
	select.addEventListener('change',
  	function(){
    	var selectedOption = this.options[select.selectedIndex];
    	console.log(selectedOption.value + ': ' + selectedOption.text);
		if (selectedOption.text=='VENEZUELA'){
			$("#idtipoarticulo").val(1);
			$("#idtipoarticulo").selectpicker('refresh');
		}else{
			$("#idtipoarticulo").val(2);
			$("#idtipoarticulo").selectpicker('refresh');
		}
		console.log('#idtipoarticulo: '+ $("#idtipoarticulo").val());
  	}); */
	
	//Buscamos el tipo de articulo Nacional o Importado para asignar el pais
	/* var select = document.getElementById('idtipoarticulo');
	select.addEventListener('change',
  	function(){
    	var selectedOption = this.options[select.selectedIndex];
    	console.log(selectedOption.value + ': ' + selectedOption.text);
		if (selectedOption.text=='PRODUCTO NACIONAL'){
			$("#idpaisdeorigen").val(1);
			$("#idpaisdeorigen").selectpicker('refresh');
		}else{
			$("#idpaisdeorigen").val(0);
			$("#idpaisdeorigen").selectpicker('refresh');
		}
		console.log('#idpaisdeorigen: '+ $("#idpaisdeorigen").val());
  	});
 */
	

	/* $("#idpaisdeorigen").change(function(){
		var selectedOption = this.options[select.selectedIndex];
		console.log(selectedOption.value + ': ' + selectedOption.text);
	}); */
	
	$("#imagenmuestra").hide();

   //Se verifican los campos numericos


}

//funcion limpiar
function limpiar(){
	$("#impuestoart18d").val("");
				
	$("#preciolbs1").val("");
	$("#preciorbs1").val("");
	$("#preciodbs1").val("");
	$("#precioddbs1").val("");
	$("#precioebs1").val("");
	$("#precioldollar1").val("");
	$("#preciordollar1").val("");
	$("#precioddollar1").val("");
	$("#preciodddollar1").val("");
	$("#precioedollar1").val("");
	$("#pvpldollar1").val("");
	$("#pvprdollar1").val("");
	$("#pvpddollar1").val("");
	$("#pvpdddollar1").val("");
	$("#pvpedollar1").val("");
	$("#pvplbs1").val("");
	$("#pvprbs1").val("");
	$("#pvpdbs1").val("");
	$("#pvpddbs1").val("");
	$("#pvpebs1").val("");
	
	$("#porcentajeprecio1").val("");
	$("#ivapercibido").val("");
	$("#porcentajeprecioddollar").val("");
	$("#ivapercibidoddollar").val("");
	$("#pvpddollar").val("");
	$("#pvpdbs").val("");
	
	$("#porcentajeprecioldollar").val("");
	$("#ivapercibidoldollar").val("");
	$("#pvpldollar").val("");
	$("#pvplbs").val("");

	$("#porcentajepreciordollar").val("");
	$("#ivapercibidordollar").val("");
	$("#pvprdollar").val("");
	$("#pvprbs").val("");

	$("#porcentajepreciodddollar").val("");
	$("#ivapercibidodddollar").val("");
	$("#pvpdddollar").val("");
	$("#pvpddbs").val("");

	$("#porcentajeprecioedollar").val("");
	$("#ivapercibidoedollar").val("");
	$("#pvpedollar").val("");
	$("#pvpebs").val("");
	
	$("#preciodbs1").val("");

	$('#formulario').data('bootstrapValidator').resetForm(true);
	$("#codigo").val("");
	$("#nombre").val("");
	$("#descripcion").val("");
	$("#peso").val("");
	$("#largo").val("");
	$("#ancho").val("");
	$("#alto").val("");
	/* $("#tipoproducto").val("Negocio"); */
	/* $("#tipoproducto").selectpicker('refresh'); */
	$("#idcategoria").val("");
	$("#idcategoria").selectpicker('refresh');
	$("#idmarca").val("3");
	//$("#idmarca").selectpicker('refresh');
	$("#idalmacen").val("1");
	//$("#idalmacen").selectpicker('refresh');
	$("#idcategoriadeunidades").val("1");
	//$("#idcategoriadeunidades").selectpicker('refresh');
	$("#idunidademedidad").val("1");
	//$("#idunidademedidad").selectpicker('refresh');
	$("#idfactorunidademedidad").val("7");
	//$("#idfactorunidademedidad").selectpicker('refresh');
	$("#idtipoarticulo").val("1");
	//$("#idtipoarticulo").selectpicker('refresh');
	$("#idalicuota").val("1");
	//$("#idalicuota").selectpicker('refresh');
	$("#idpaisdeorigen").val("1");
	//$("#idpaisdeorigen").selectpicker('refresh');
	$("#unidademedidad").val("1");
  $("#idmaterial").val("1");
  //$("#idmaterial").selectpicker('refresh');
	$("#stock").val("0");
	$("#stock").attr("readonly","readonly");
	stock.style.backgroundColor 	= "#D5D5CE";
	//$("#stock").prop("disabled",true);
	$("#precio").val("0");
	$("#preciopvp").val("0");
	$("#costo").val("0");
	$("#preciod").val("0");
	$("#preciopvpd").val("0");
	$("#costod").val("0");
	$("#gradoalcohol").val("0");
	$("#impuestoart18").val("0");
	$("#imagen").val("");
	$("#imagenmuestra").val("");
	$("#imagenmuestra").attr("src","");
	$("#imagenactual").val("");
	$("#print").hide();
	$("#idarticulo").val("");
	$("#exento1").val("no");
	$('#exento').prop("checked", false);
	$("#tasacambio").val(number_format($("#tasa_dollar").val(),2));
	$("#preciolbs").val("0");
	$("#preciorbs").val("0");
	$("#preciodbs").val("0");
	$("#precioddbs").val("0");
	$("#precioebs").val("0");
	$("#precioldollar").val("0");
	$("#preciordollar").val("0");
	$("#precioddollar").val("0");
	$("#preciodddollar").val("0");
	$("#precioedollar").val("0");
  $("#codigocolor").val("#f5502d");
}

//funcion mostrar formulario
function mostrarform(flag){
	limpiar();
	if(flag){
		$("#listadoregistros").hide();
		$("#formularioregistros").show();
		$("#formularioregistros1").show();
		$("#btnGuardar").prop("disabled",false);
		$("#btnagregar").hide();
		$("#btnreporte").hide();
		
		
	}else{
		$("#listadoregistros").show();
		$("#formularioregistros").hide();
		$("#formularioregistros1").hide();
		$("#btnagregar").show();
		$("#btnreporte").show();
	}
}

function alfanumerico() {
   $("#pvpldollar1").val(numero($("#pvpldollar1").val()));
   $("#pvprdollar1").val(numero($("#pvprdollar1").val()));
   $("#pvpddollar1").val(numero($("#pvpddollar1").val()));
   $("#pvpdddollar1").val(numero($("#pvpdddollar1").val()));
   $("#pvpedollar1").val(numero($("#pvpedollar1").val()));	


   $("#pvplbs1").val(numero($("#pvplbs1").val()));
   $("#pvprbs1").val(numero($("#pvprbs1").val()));
   $("#pvpdbs1").val(numero($("#pvpdbs1").val()));
   $("#pvpddbs1").val(numero($("#pvpddbs1").val()));
   $("#pvpebs1").val(numero($("#pvpebs1").val()));
		
   $("#precio").val(numero($("#precio").val()));
   $("#preciod").val(numero($("#preciod").val()));
   $("#costo").val(numero($("#costo").val()));
   $("#costod").val(numero($("#costod").val()));
   $("#costoa").val(numero($("#costoa").val()));
   $("#costoad").val(numero($("#costoad").val()));
   $("#stock").val(numero($("#stock").val()));
   $("#peso").val(numero($("#peso").val()));
   $("#largo").val(numero($("#largo").val()));
   $("#ancho").val(numero($("#ancho").val()));
   $("#alto").val(numero($("#alto").val()));
   
   $("#preciolbs1").val(numero($("#preciolbs1").val()));
   $("#preciorbs1").val(numero($("#preciorbs1").val()));
   $("#preciodbs1").val(numero($("#preciodbs1").val()));
   $("#precioddbs1").val(numero($("#precioddbs1").val()));
   $("#precioebs1").val(numero($("#precioebs1").val()));
   console.log('Despues preciol: '+$("#preciolbs1").val()+' precior: '+$("#preciorbs1").val()+' precio d:'+$("#preciodbs1").val()+' precio dd:'+$("#precioddbs1").val()+' precio e:'+$("#precioebs1").val());
   $("#precioldollar1").val(numero($("#precioldollar1").val()));
   $("#preciordollar1").val(numero($("#preciordollar1").val()));
   $("#precioddollar1").val(numero($("#precioddollar1").val()));
   $("#preciodddollar1").val(numero($("#preciodddollar1").val()));
   $("#precioedollar1").val(numero($("#precioedollar1").val()));
   $("#unidademedidad").val(numero($("#unidademedidad").val()));
   console.log('precioldollar1: '+$("#precioldollar1").val()+' preciordollar1: '+$("#preciordollar1").val()+' precioddollar1:'+$("#precioddollar1").val()+' preciodddollar1:'+$("#preciodddollar1").val()+' precioedollar1:'+$("#precioedollar1").val());
   $("#gradoalcohol").val(numero($("#gradoalcohol").val()));
   $("#preciopvp").val(numero($("#preciopvp").val()));
   $("#preciopvpd").val(numero($("#preciopvpd").val()));
   $("#impuestoart18").val(numero($("#impuestoart18").val()));
   $("#impuestoart18d").val(numero($("#impuestoart18d").val()));


}



//cancelar form
function cancelarform(){
	limpiar();
	mostrarform(false);
}

//Listar precio
function ListarPrecio() {  
	if ($("#preciolbs").val()==''){
		$("#preciolbs").val($("#precio").val());
		$("#preciorbs").val($("#precio").val());
		$("#preciodbs").val($("#precio").val());
		$("#precioddbs").val($("#precio").val());
		$("#precioebs").val($("#precio").val());
	}
	if ($("#precioldollar").val()==''){
		$("#precioldollar").val($("#preciod").val());
		$("#preciordollar").val($("#preciod").val());
		$("#precioddollar").val($("#preciod").val());
		$("#preciodddollar").val($("#preciod").val());
		$("#precioedollar").val($("#preciod").val());
	}
	$("#preciolbs1").val($("#preciolbs").val());
	$("#preciorbs1").val($("#preciorbs").val());
	$("#preciodbs1").val($("#preciodbs").val());
	$("#precioddbs1").val($("#precioddbs").val());
	$("#precioebs1").val($("#precioebs").val());
	$("#precioldollar1").val($("#precioldollar").val());
	$("#preciordollar1").val($("#preciordollar").val());
	$("#precioddollar1").val($("#precioddollar").val());
	$("#preciodddollar1").val($("#preciodddollar").val());
	$("#precioedollar1").val($("#precioedollar").val());
	
	$('#myModalPrecio').modal('show');
}

function GuardarPrecio() {
	$("#preciolbs1").val($("#preciolbs").val());
	$("#preciorbs1").val($("#preciorbs").val());
	$("#preciodbs1").val($("#preciodbs").val());
	$("#precioddbs1").val($("#precioddbs").val());
	$("#precioebs1").val($("#precioebs").val());
	$("#precioldollar1").val($("#precioldollar").val());
	$("#preciordollar1").val($("#preciordollar").val());
	$("#precioddollar1").val($("#precioddollar").val());
	$("#preciodddollar1").val($("#preciodddollar").val());
	$("#precioedollar1").val($("#precioedollar").val());

	$("#pvpldollar1").val($("#pvpldollar").val());
	$("#pvprdollar1").val($("#pvprdollar").val());
	$("#pvpddollar1").val($("#pvpddollar").val());
	$("#pvpdddollar1").val($("#pvpdddollar").val());
	$("#pvpedollar1").val($("#pvpedollar").val());

	$("#pvplbs1").val($("#pvplbs").val());
	$("#pvprbs1").val($("#pvprbs").val());
	$("#pvpdbs1").val($("#pvpdbs").val());
	$("#pvpddbs1").val($("#pvpddbs").val());
	$("#pvpebs1").val($("#pvpebs").val());

	$("#precio").val($("#preciodbs").val());
	$("#preciod").val($("#precioddollar").val());
	console.log('preciolbs1 :'+$("#preciolbs1").val());
	$('#myModalPrecio').modal('hide');
}	

//Se busca el numero la tasa de cambio
function buscarTasaDeCambio(){
	idempresa_venta=$("#idempresa_venta").val();
	//alert ('idempresa_venta: '+idempresa_venta);
	$.post("controladores/empresaControlador.php?op=buscarTasaDeCambio",{idempresa_venta : idempresa_venta},
		function(data,status)
		{
			//alert ('estatus: '+status);
			data1=JSON.parse(data);
			$("#tasa_dollar").val(data1.tasa_dollar);
			$("#tasa_euro").val(data1.tasa_euro);
			console.log("data1.tasa_dollar: "+$("#tasa_dollar").val());
	//		alert ('Control: '+data1.nrocontrol+' Factura: '+data1.nrofactura);
		});
}

//Se busca el numero la tasa de cambio
function buscarEmpresa(){
	$.post("controladores/empresaControlador.php?op=buscarempresa1",
		function(data,status)
		{
			//alert ('estatus: '+status);
			data1=JSON.parse(data);
			$("#idempresa_venta").val(data1.idempresa);
			console.log("#idempresa_venta: "+$("#idempresa_venta").val());
			buscarTasaDeCambio();
			buscarImpuestoArt18();
			buscarcategoriaprecio();
	//		alert ('Control: '+data1.nrocontrol+' Factura: '+data1.nrofactura);
		});
}

function buscarImpuestoArt18(){
	idempresa_venta=$("#idempresa_venta").val();
	//alert ('idempresa_venta: '+idempresa_venta);
	$.post("controladores/empresaControlador.php?op=buscarImpuestoArt18",{idempresa_venta : idempresa_venta},
		function(data,status)
		{
			//alert ('estatus: '+status);
			data1=JSON.parse(data);
			$("#impart18").val(data1.impuestoart18);
			console.log("data1.impuestoart18: "+$("#impart18").val());
			
	//		alert ('Control: '+data1.nrocontrol+' Factura: '+data1.nrofactura);
		});
}

function buscarcategoriaprecio(){
	$.post("controladores/listaprecioControlador.php?op=buscarcategoriaprecio",
		function(data,status)
		{
			data1=JSON.parse(data);
			console.log("data1 : "+data1);
			$.each(data1, function(i, item) {
				console.log("data.nombre : "+item.nombre);
				if (item.idlistaprecio==1){
					$("#labelprecioa").html(item.nombre);
				}
				if (item.idlistaprecio==2){
					$("#labelpreciob").html(item.nombre);
				}
				if (item.idlistaprecio==3){
					$("#labelprecioc").html(item.nombre);
				}
				if (item.idlistaprecio==4){
					$("#labelpreciod").html(item.nombre);
				}
				if (item.idlistaprecio==5){
					$("#labelprecioe").html(item.nombre);
				}
			}); 
		});
}


function verificarart18() {
	var art18 = $("#impart18").val();
	console.log("art18: "+art18);

	if (art18!='si'){
		console.log("No se cumplio art18");
		//$("#gradoalcohol").val(0);
		$("#preciopvp").val(numero($("#precio").val()));
		$("#preciopvpd").val(numero($("#preciod").val()));
		$("#impuestoart18").val("0");
		$("#impuestoart18d").val("0");
		$("#idalicuota").val("1");
	}
}

//funcion listar
function listar(){
	tabla=$('#tbllistado').dataTable({
		"aProcessing": true,//activamos el procedimiento del datatable
		"aServerSide": true,//paginacion y filrado realizados por el server
		dom: 'Bfrtip',//definimos los elementos del control de la tabla
		buttons: [
                  'copyHtml5',
                  'excelHtml5',
                  'csvHtml5',
                  'pdf'
		],
		"ajax":
		{
			url:'controladores/articuloControlador.php?op=listararticulosastreria',
			type: "get",
			dataType : "json",
			error:function(e){
				console.log(e.responseText);
			}
		},
		"drawCallback":function(){
			//alert("La tabla se está recargando"); 
			var api 	= this.api();
		//var tactual	= api.column(3, {page:'current'}).data().sum();
		  //var total	= api.column(4).data().sum();
			var total		= api.column(5).data();
			var totalc 	= 0;
			for (var i = 0; i < total.length; i++) {
				totalc = totalc + numero(total[i]);
			}
			//	tactual		= number_format(tactual*1,2);
			//total		= number_format(total*1,2);
			/* $(api.column(4).footer()).html('Total Actual:');
			$(api.column(5).footer()).html(tactual); */
			$(api.column(4).footer()).html('Total:');
			$(api.column(5).footer()).html(number_format(totalc,0));
	  }, 
		"bDestroy":true,
		"iDisplayLength":-1,//paginacion
		"order":[[0,"desc"]]//ordenar (columna, orden)
	}).DataTable();
}
//funcion para guardaryeditar
function guardaryeditar(e){
     e.preventDefault();//no se activara la accion predeterminada 
     $("#btnGuardar").prop("disabled",true);
     var formData=new FormData($("#formulario")[0]);

     $.ajax({
     	url: "controladores/articuloControlador.php?op=guardaryeditar",
     	type: "POST",
     	data: formData,
     	contentType: false,
     	processData: false,

     	success: function(datos){
     		bootbox.alert(datos);
     		mostrarform(false);
     		tabla.ajax.reload();
     	}
     });

     limpiar();
}

function mostrar(idarticulo){
	$.post("controladores/articuloControlador.php?op=mostrar",{idarticulo : idarticulo},
		function(data,status)
		{
			data=JSON.parse(data);
			mostrarform(true);
			$("#tipoproducto").val(data.tipoproducto);
			$("#tipoproducto").selectpicker('refresh');
			$("#idcategoria").val(data.idcategoria);
			$("#idcategoria").selectpicker('refresh');
			$("#idmarca").val(data.idmarca);
			$("#idmarca").selectpicker('refresh');
			$("#idalmacen").val(data.idalmacen);
			$("#idalmacen").selectpicker('refresh');
			$("#idcategoriadeunidades").val(data.idcategoriadeunidades);
			$("#idcategoriadeunidades").selectpicker('refresh');
			$("#idunidademedidad").val(data.idunidademedidad);
			$("#idunidademedidad").selectpicker('refresh');
			$("#idfactorunidademedidad").val(data.idfactorunidademedidad);
			$("#idfactorunidademedidad").selectpicker('refresh');
			$("#idtipoarticulo").val(data.idtipoarticulo);
			$("#idtipoarticulo").selectpicker('refresh');
			$("#idalicuota").val(data.idalicuota);
			$("#idalicuota").selectpicker('refresh');
			$("#idpaisdeorigen").val(data.idpaisdeorigen);
			$("#idpaisdeorigen").selectpicker('refresh');

			$("#idmaterial").val(data.idmaterial);
  		$("#idmaterial").selectpicker('refresh');

			$("#unidademedidad").val(number_format(data.unidademedidad,2));
			$("#codigo").val(data.codigo);
			$("#nombre").val(data.nombre);
			$("#stock").val(number_format(data.stock,0));
			$("#stock").attr("readonly","readonly");
			stock.style.backgroundColor 	= "#D5D5CE";
			console.log('precio$: '+data.preciod+' tasadollar: '+$("#tasa_dollar").val());
			$("#precio").val(number_format(data.preciod*$("#tasa_dollar").val(),2));
			$("#preciod").val(number_format(data.preciod,3));
			$("#peso").val(number_format(data.peso,2));
			$("#largo").val(number_format(data.largo,2));
			$("#ancho").val(number_format(data.ancho,2));
			$("#alto").val(number_format(data.alto,2));
			$("#preciopvp").val(number_format(data.preciopvpd*$("#tasa_dollar").val(),2));
			$("#preciopvpd").val(number_format(data.preciopvpd,3));
			$("#costo").val(number_format(data.costod*$("#tasa_dollar").val(),2));
			$("#costod").val(number_format(data.costod,3));
			$("#costoa").val(number_format(data.costoad*$("#tasa_dollar").val(),2));
			$("#costoad").val(number_format(data.costoad,3));
			$("#impuestoart18").val(number_format(data.impuestoart18d*$("#tasa_dollar").val(),3));
			$("#impuestoart18d").val(number_format(data.impuestoart18d,3));
			$("#gradoalcohol").val(number_format(data.gradoalcohol,2));
			$("#descripcion").val(data.descripcion);
			$("#imagenmuestra").show();
			$("#imagenmuestra").attr("src","files/articulos/"+data.imagen);
			$("#imagenactual").val(data.imagen);
			$("#idarticulo").val(data.idarticulo);
			$("#exento1").val(data.exento);
			$("#preciolbs").val(number_format(data.preciobd*$("#tasa_dollar").val(),2));
			$("#preciorbs").val(number_format(data.preciocd*$("#tasa_dollar").val(),2));
			$("#preciodbs").val(number_format(data.preciod*$("#tasa_dollar").val(),2));
			$("#precioddbs").val(number_format(data.precioddd*$("#tasa_dollar").val(),2));
			$("#precioebs").val(number_format(data.precioed*$("#tasa_dollar").val(),2));
			$("#precioldollar").val(number_format(data.preciobd,3));
			$("#preciordollar").val(number_format(data.preciocd,3));
			$("#precioddollar").val(number_format(data.preciod,3));
			$("#preciodddollar").val(number_format(data.precioddd,3));
			$("#precioedollar").val(number_format(data.precioed,3));
			$("#preciolbs1").val(number_format(data.preciobd*$("#tasa_dollar").val(),2));
			$("#preciorbs1").val(number_format(data.preciocd*$("#tasa_dollar").val(),2));
			$("#preciodbs1").val(number_format(data.preciod*$("#tasa_dollar").val(),2));
			$("#precioddbs1").val(number_format(data.precioddd*$("#tasa_dollar").val(),2));
			$("#precioebs1").val(number_format(data.precioed*$("#tasa_dollar").val(),2));
			$("#precioldollar1").val(number_format(data.preciobd,3));
			$("#preciordollar1").val(number_format(data.preciocd,3));
			$("#precioddollar1").val(number_format(data.preciod,3));
			$("#preciodddollar1").val(number_format(data.precioddd,3));
			$("#precioedollar1").val(number_format(data.precioed,3));



			$("#pvpldollar1").val(number_format(data.pvpdb,3));
			$("#pvprdollar1").val(number_format(data.pvpdc,3));
			$("#pvpddollar1").val(number_format(data.preciopvpd,3));
			$("#pvpdddollar1").val(number_format(data.pvpddd,3));
			$("#pvpedollar1").val(number_format(data.pvpde,3));

			$("#pvplbs1").val(number_format(data.pvpdb*$("#tasa_dollar").val(),2));
			$("#pvprbs1").val(number_format(data.pvpdc*$("#tasa_dollar").val(),2));
			$("#pvpdbs1").val(number_format(data.preciopvpd*$("#tasa_dollar").val(),2));
			$("#pvpddbs1").val(number_format(data.pvpddd*$("#tasa_dollar").val(),2));
			$("#pvpebs1").val(number_format(data.pvpde*$("#tasa_dollar").val(),2));


			$("#porcentajeprecio1").val(number_format(precioporcentaje(data.preciod),2));
			$("#ivapercibido").val(number_format(ivapercibido(data.preciod),2));

			$("#porcentajeprecioddollar").val(number_format(precioporcentaje(data.preciod),2));
			$("#ivaprecio").val(number_format(ivap(data.preciod),2));

			$("#ivapercibidoddollar").val(number_format(ivapercibido(data.preciod),2));
			$("#ivaddollar").val(number_format(ivap(data.preciod),2));
			$("#pvpddollar").val(number_format(data.preciopvpd,3));
			$("#pvpdbs").val(number_format(data.preciopvpd*$("#tasa_dollar").val(),2));
			
			$("#porcentajeprecioldollar").val(number_format(precioporcentaje(data.preciobd),2));
			$("#ivapercibidoldollar").val(number_format(ivapercibido(data.preciobd),2));
			$("#ivaldollar").val(number_format(ivap(data.preciobd),2));
			if (data.pvpdb==0){
				$("#pvpldollar").val(number_format(pvpp1(data.preciobd*1),3));
				$("#pvplbs").val(number_format(pvpp1(data.preciobd*1)*$("#tasa_dollar").val(),2));
			}else{
				$("#pvpldollar").val(number_format(data.pvpdb,3));
				$("#pvplbs").val(number_format(data.pvpdb*$("#tasa_dollar").val(),2));
			}


			$("#porcentajepreciordollar").val(number_format(precioporcentaje(data.preciocd),2));
			$("#ivapercibidordollar").val(number_format(ivapercibido(data.preciocd),2));
			$("#ivardollar").val(number_format(ivap(data.preciocd),2));
			if (data.pvpdc==0){
				$("#pvprdollar").val(number_format(pvpp1(data.preciocd*1),3));
				$("#pvprbs").val(number_format(pvpp1(data.preciocd*1)*$("#tasa_dollar").val(),2));
			}else{
				$("#pvprdollar").val(number_format(data.pvpdc,3));
				$("#pvprbs").val(number_format(data.pvpdc*$("#tasa_dollar").val(),2));
			}

			$("#porcentajepreciodddollar").val(number_format(precioporcentaje(data.precioddd),2));
			$("#ivapercibidodddollar").val(number_format(ivapercibido(data.precioddd),2));
			$("#ivadddollar").val(number_format(ivap(data.precioddd),2));
			if (data.pvpddd==0){
				$("#pvpdddollar").val(number_format(pvpp1(data.precioddd*1),3));
				$("#pvpdbs").val(number_format(pvpp1(data.precioddd*1)*$("#tasa_dollar").val(),2));
			}else{
				$("#pvpdddollar").val(number_format(data.pvpddd,3));
				$("#pvpddbs").val(number_format(data.pvpddd*$("#tasa_dollar").val(),2));
			}

			$("#porcentajeprecioedollar").val(number_format(precioporcentaje(data.precioed),2));
			$("#ivapercibidoedollar").val(number_format(ivapercibido(data.precioed),2));
			$("#ivaedollar").val(number_format(ivap(data.precioed),2));
			if (data.pvpde==0){
				$("#pvpedollar").val(number_format(pvpp1(data.precioed*1),3));
				$("#pvpebs").val(number_format(pvpp1(data.precioed*1)*$("#tasa_dollar").val(),2));
			}else{
				$("#pvpedollar").val(number_format(data.pvpde,3));
				$("#pvpebs").val(number_format(data.pvpde*$("#tasa_dollar").val(),2));
			}
			
//Me que aqui


			$("#preciodbs1").val(number_format(data.preciod*$("#tasa_dollar").val(),2));

			generarbarcode();
			exentosino();
		})
}


//funcion para desactivar
function desactivar(idarticulo){
	bootbox.confirm("¿Esta seguro de desactivar este dato?", function(result){
		if (result) {
			$.post("controladores/articuloControlador.php?op=desactivar", {idarticulo : idarticulo}, function(e){
				bootbox.alert(e);
				tabla.ajax.reload();
			});
		}
	})
}

function activar(idarticulo){
	bootbox.confirm("¿Esta seguro de activar este dato?" , function(result){
		if (result) {
			$.post("controladores/articuloControlador.php?op=activar" , {idarticulo : idarticulo}, function(e){
				bootbox.alert(e);
				tabla.ajax.reload();
			});
		}
	})
}

function generarbarcode(){
	codigo=$("#codigo").val();
	JsBarcode("#barcode",codigo);
	$("#print").show();
}

function exentosino(){
	exento=$("#exento1").val();
	if (exento=='si'){
	//	alert ('si');
		$('#exento').prop("checked", true);
	}else{
	//	alert ('no');
		$('#exento').prop("checked", false);
	}	
}



function imprimir(){
	$("#print").printArea();
}

init();